eris (1.3.23-2) unstable; urgency=medium

  * Disable additional network-related test
    - Test was causing build failures
    - Rename 02-disable-BaseConnection-unittest.patch to
      02-disable-two-network-tests.patch
  * Fix symbols that were causing build failures
  * Update symbols for GCC6

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 04 Jul 2016 15:34:22 -0400

eris (1.3.23-1) unstable; urgency=medium

  * New upstream release (Closes: #799749)
  * Incorporate NMU, thanks Tobias Frost
  * Update d/control
    - Standards-Version to 3.9.8 (no changes)
    - Remove pre-dependency on dpkg
    - Update Vcs lines for secure URIs
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * Update symbols
  * Convert to automatic debug package
  * Enable all hardening options
  * Update d/copyright
  * Update lintian overrides
  * Add ldconfig trigger

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 26 Jun 2016 16:55:55 -0400

eris (1.3.21-0.1) unstable; urgency=low

  [ Tobias Frost ]
  * Non-maintainer upload.
  * Fixing symbol file for liberis.
  * Adding patch remove silent-rules.

  [ Stephen M. Webb ]
  * new upstream release
  * debian/control: bumped build-dep versions for new WorldForge packages
  * renamed packages due to new SONAME
  * debian/liberis-1.3-20.symbols: updated for new ABI
  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/libskstream-0.3-7.symbols: updated for GCC 4.8 (closes: #701273)
  * debian/copyright: refreshed some dates
  * debian/patches/0001-bump-mercator-builddep.patch: new file
    - forced minimum biuild dependency version for those who want to build
      from source
  * debian/control: fixed Vcs-Browser URL

 -- Tobias Frost <tobi@debian.org>  Sat, 16 Aug 2014 07:10:01 +0000

eris (1.3.19-5) unstable; urgency=low

  * fixed a missing symbol for i386 arches

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Fri, 08 Jun 2012 11:27:58 -0400

eris (1.3.19-4) unstable; urgency=low

  * fixed symbols for GCC 4.7 (closes: #671950) (closes: #675291)
    - incorporates and acknowledges NMU from Matthias Klose

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Thu, 31 May 2012 09:43:17 -0400

eris (1.3.19-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Mark missing constructor symbols when built with GCC 4.7 as optional.
    Closes: #671950.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 09:42:44 +0000

eris (1.3.19-3) unstable; urgency=low

  * fixed symbols for ia64
    - debian/liberis-1.3-19.symbols: marked some additional inline symbols as
      optional to fix FTBFS on ia64

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 11 Apr 2012 10:01:44 -0400

eris (1.3.19-2) unstable; urgency=low

  * made some C++ inline symbol optional
    - debian/liberis-1.3-19.symbols: marked some inline symbols as optional to
      fix FTBFS on various architectures.

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 07 Mar 2012 14:10:57 -0500

eris (1.3.19-1) unstable; urgency=low

  * new upstream version
  * new maintainers (Debian games team) (closes: #653972)
  * replaced use of chrpath with patch to ancient libtool
  * changed binary package names due to bumped SONAME
  * converted to 3.0 (quilt) source format
  * updates Standards-Version to 3.9.3 (no changes required)
  * debian/control: added Vcs- fields
  * added symbols tracking
  * debian/copyright: converted to DEP-5 format, updated dates
  * converted to use the dh build sequencer (compat level 9)
    - made binary packages multi-arch
    - regenerated autotools auxiliary files on build
  * converted to use xz compression in packaging

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sat, 03 Mar 2012 13:20:38 -0500

eris (1.3.14-3) unstable; urgency=low

  * debian/liberis-1.3-dev.install: Don't include *.la file.
  * debian/control: Updated to Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 25 Aug 2009 21:43:03 +0200

eris (1.3.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Sun, 26 Jul 2009 12:15:39 +0200

eris (1.3.14-1) experimental; urgency=low

  * New upstream release.
    - upload to experimental due to new SONAME.
    - debian/patches/eris-gcc4.3.patch: Applied upstream.
  * Upgrade Build-Depends on libwfmath-0.3-dev to >= 0.3.9.
  * debian/control: Add libmercator-0.2-dev (>= 0.2.7) to Build-Depends.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/control: Move liberis-1.3-14-dbg to debug section.
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/watch: Use SourceForge redirector.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 16:05:47 +0200

eris (1.3.13-2) unstable; urgency=low

  * Added patch to make eris build with GCC 4.3. Closes: #472555.
  * Reworked debian/copyright.
  * Remove "-1" part in versioned Build-Depends.

 -- Michael Koch <konqueror@gmx.de>  Wed, 26 Mar 2008 23:27:56 +0100

eris (1.3.13-1) unstable; urgency=low

  * New upstream release (changed soname).
  * debian/patches/eris-gcc4.3.patch: Added patch to fix GCC 4.3 error with
    two arguments having the same name in a prototype. Closes: #454884.
  * Use chrpath to delete rpath from library.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.
  * Added homepage field.

 -- Michael Koch <konqueror@gmx.de>  Sun, 09 Dec 2007 16:18:57 +0100

eris (1.3.12-1) unstable; urgency=low

  * New upstream release.
  * Adjusted (Build-)Depends.
  * Replaced ${Source-Version} by ${binary:Version}.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Jun 2007 05:36:22 -0100

eris (1.3.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Tue,  7 Feb 2006 13:12:13 +0000

eris (1.3.10-1) experimental; urgency=low

  * New upstream release
    - Changed package names due to new SONAME.
  * Upload to experimental for now.

 -- Michael Koch <konqueror@gmx.de>  Wed,  4 Jan 2006 07:33:12 +0000

eris (1.3.9-1) unstable; urgency=low

  * Acknowledge NMU. Closes: #339162
  * New upstream release
    - Changed package names due to new SONAME.
    - Build-Depend on libsigc++-2.0-dev instead of libsigc++-1.2-dev.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Dec 2005 22:45:33 +0000

eris (1.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename liberis-1.3-7 to liberis-1.3-7c2a for the C++ mt allocator
    ABI transition, and conflict/replace with liberis-1.3-7 accordingly.
    Closes: #339162.
  * Build-depend on libatlas-cpp-0.6-dev (>= 0.5.98-2) and
    libwfmath-0.3-dev (>= 0.3.4-3).

 -- Steve Langasek <vorlon@debian.org>  Mon, 28 Nov 2005 07:09:42 -0800

eris (1.3.8-1) unstable; urgency=low

  * New upstream release
    - FTBFS: No matching function for call to StreamConnect
      (Closes: #332705)
    - Removed debian/patches/eris-gcc-4.0.patch. Applied upstream 
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Mon, 10 Oct 2005 13:59:06 +0000

eris (1.3.7-3) unstable; urgency=low

  * Tightened Build-Depends and Depends on depended C++ libraries
  * Added debian/patches/eris-gcc-4.0.patch to work with recent g++-4.0

 -- Michael Koch <konqueror@gmx.de>  Fri, 30 Sep 2005 07:26:16 +0000

eris (1.3.7-2) unstable; urgency=low

  * Fixed dependency of liberis-1.3-dev on libatlas-cpp-0.6-0-dev
  * Fixed watch file
  * Build-conflict on libsigc++-2.0-dev to make sure the correct SONAME (7)
    is selected by configure.
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Fri,  9 Sep 2005 06:00:53 +0000

eris (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Updated Build-Depends to use libatlas-cpp-0.6-0-dev instead of
    libatlas-cpp-0.5-dev
  * Updated watch file
  * Updated Standards-Version to 3.6.2
  * Fixed address of FSF in debian/copyright
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Mon,  5 Sep 2005 06:51:51 +0000

eris (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch

 -- Michael Koch <konqueror@gmx.de>  Wed, 10 Nov 2004 11:47:09 +0000

eris (1.2.0-3) unstable; urgency=low

  * debian/copyright: Fixed download url and copyright notice

 -- Michael Koch <konqueror@gmx.de>  Mon, 26 Jul 2004 09:06:57 +0200

eris (1.2.0-2) unstable; urgency=low

  * liberis-1.2-dbg: Moved from section 'devel' to 'libdevel'

 -- Michael Koch <konqueror@gmx.de>  Mon,  5 Jul 2004 08:01:07 +0200

eris (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Moved to CDBS as build system.

 -- Michael Koch <konqueror@gmx.de>  Mon,  5 Jul 2004 08:00:55 +0200

eris (1.1.1.0-3) unstable; urgency=low

  * liberis-1.2-dbg: Fixed Depends. 

 -- Michael Koch <konqueror@gmx.de>  Thu,  3 Jun 2004 10:44:43 +0200

eris (1.1.1.0-2) unstable; urgency=low

  * liberis-1.2-dev: Fixed Depends
  * Added Build-Conflicts for libsigcperl-dev and libsigc-perl 

 -- Michael Koch <konqueror@gmx.de>  Sat, 22 May 2004 14:21:11 +0200

eris (1.1.1.0-1) unstable; urgency=low

  * New upstream version
  * Updated SONAMEs
  * Use debian/compat instead of DH_COMPAT
  * Updated Build-Depends

 -- Michael Koch <konqueror@gmx.de>  Sun, 16 May 2004 08:57:20 +0200

eris (0.9.8.1-1) unstable; urgency=low

  * New upstream version.
  * Renamed all packages to match new soname.
  * Removed self-written manpage.
  * Updated Build-Depends.
  * Moved liberis-dev to libdevel section.
  * Standards-Version: 3.5.10

 -- Michael Koch <konqueror@gmx.de>  Tue, 20 May 2003 15:28:05 +0000

eris (0.9.6-3) unstable; urgency=low

  * c102 transition.
  * Make liberis-0.9.6c102-dbg priority extra.
  * debian/rules cleanup.

 -- Michael Koch <konqueror@gmx.de>  Mon, 13 Jan 2003 19:12:36 +0100

eris (0.9.6-2) unstable; urgency=low

  * Bumped Standards-Version to 3.5.8.
  * Added manpage for eris-config.
  * Added --disable-static to configure call in debian/rules.
  * Fixed debian/copyright.
  * Clean generated docs in clean target in debian/rules. 

 -- Michael Koch <konqueror@gmx.de>  Fri, 13 Dec 2002 11:42:46 +0100

eris (0.9.6-1) unstable; urgency=low

  * Initial Release.

 -- Michael Koch <konqueror@gmx.de>  Thu, 31 Oct 2002 13:00:31 +0100

